# MGB: Matrix Gatcha Bot

## Build instructions

You need rust installed, with rustup as its the simple thing to do. To install
rust, use the following command then add the `$HOME/.cargo/bin` folder to your
path:

```bash
# Install rustup
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
# Or, if rustup is already installed :
rustup update
```

To build, just use the `cargo build` command. You will need the nighly version
of the rust toolchain, so a `rustup default nightly` might be needed.

If you need `rls` (Rust Language Server) and it's missing from the nightly
builds, you can find the latest nightly build that has that compoment at:
https://rust-lang.github.io/rustup-components-history/ and install that specific
version with `rustup install nightly-2021-12-05`.

## Help

Here are the matrix sdk samples:
https://github.com/matrix-org/matrix-rust-sdk/tree/main/crates/matrix-sdk/examples

## TODO

- Auto-join without restarting the bot
- When joining rooms at start-up, the bot no longer know the name of the rooms,
  need another start-up to fix...
